package de.ozgcloud.alfa.common.attacheditem;

import java.util.function.Predicate;
import java.util.stream.Stream;

import org.springframework.stereotype.Component;

import de.ozgcloud.alfa.common.command.Command;
import de.ozgcloud.alfa.common.command.CommandOrder;
import de.ozgcloud.alfa.historie.HistorieProcessor;

@Component
class VorgangAttachedItemHistorieProcessor implements HistorieProcessor {

	private static final Predicate<Command> IS_NOT_DELETE_ATTACHED_ITEM = command -> CommandOrder.DELETE_ATTACHED_ITEM != command.getCommandOrder();

	@Override
	public Stream<Command> process(Stream<Command> commands) {
		return commands.filter(IS_NOT_DELETE_ATTACHED_ITEM);
	}

}
