package de.ozgcloud.alfa.common.attacheditem;

import static org.assertj.core.api.Assertions.*;

import java.util.stream.Stream;

import org.junit.jupiter.api.Nested;
import org.junit.jupiter.params.ParameterizedTest;
import org.junit.jupiter.params.provider.EnumSource;
import org.junit.jupiter.params.provider.EnumSource.Mode;
import org.mockito.Spy;

import de.ozgcloud.alfa.common.command.CommandOrder;
import de.ozgcloud.alfa.common.command.CommandTestFactory;

class VorgangAttachedItemHistorieProcessorTest {

	@Spy
	private VorgangAttachedItemHistorieProcessor processor;

	@Nested
	class TestProcess {

		@ParameterizedTest
		@EnumSource(names = { "DELETE_ATTACHED_ITEM" }, mode = Mode.EXCLUDE)
		void shouldKeepCommand(CommandOrder order) {
			var command = CommandTestFactory.createBuilder().order(order.name()).build();

			var commands = processor.process(Stream.of(command));

			assertThat(commands).containsExactly(command);
		}

		@ParameterizedTest
		@EnumSource(names = { "DELETE_ATTACHED_ITEM" }, mode = Mode.INCLUDE)
		void shouldRemoveCommand(CommandOrder order) {
			var command = CommandTestFactory.createBuilder().order(order.name()).build();

			var commands = processor.process(Stream.of(command));

			assertThat(commands).isEmpty();
		}
	}
}
