/*
 * Copyright (C) 2023 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.alfa.system;

import de.ozgcloud.alfa.system.VorgangManagerSystemStatus.VorgangManagerSystemStatusBuilder;

public class VorgangManagerSystemStatusTestFactory {

	public static final String JAVA_VERSION = "17";
	public static final String BUILD_VERSION = "b1";

	public static final boolean SEARCH_AVAILABLE = true;

	public static VorgangManagerSystemStatus create() {
		return createBuilder().build();
	}

	private static VorgangManagerSystemStatusBuilder createBuilder() {
		return VorgangManagerSystemStatus.builder()
				.isSearchServerAvailable(SEARCH_AVAILABLE)
				.javaVersion(JAVA_VERSION)
				.buildVersion(BUILD_VERSION);
	}
}
