/*
 * Copyright (C) 2023 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.alfa.vorgang;

import static de.ozgcloud.alfa.vorgang.VorgangHeaderTestFactory.*;

import de.ozgcloud.alfa.common.user.UserProfileTestFactory;

public class VorgangWithEingangTestFactory {

	public static VorgangWithEingang create() {
		return createBuilder().build();
	}

	public static VorgangWithEingang.VorgangWithEingangBuilder createBuilder() {
		return VorgangWithEingang.builder()
				.id(ID)
				.version(VERSION)
				.assignedTo(UserProfileTestFactory.ID)
				.name(NAME)
				.status(STATUS)
				.nummer(NUMMER)
				.aktenzeichen(AKTENZEICHEN)
				.createdAt(CREATED_AT)
				.hasNewPostfachNachricht(true)
				.header(VorgangHeadTestFactory.create())
				.eingang(EingangTestFactory.create());
	}
}